Bug 1584162 - Error: No such repository with name <MISSING> [NEEDINFO]
Summary: Error: No such repository with name <MISSING>
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Rahul Bajaj
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-30 12:20 UTC by Lukáš Hellebrandt
Modified: 2019-10-07 17:17 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:23 UTC
bkearney: needinfo? (rabajaj)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:30 UTC
Foreman Issue Tracker 23872 None None None 2018-06-11 11:50:17 UTC

Description Lukáš Hellebrandt 2018-05-30 12:20:04 UTC
Description of problem:
When using a nonexistent repo name in a command, Hammer says:
"""
Error: No such repository with name , in lifecycle environment  and content view
"""
There is obviously some text missing (entered repo name)

Version-Release number of selected component (if applicable):
Tested on Sat 6.4 snap 5

How reproducible:
Deterministic

Steps to Reproduce:
# hammer host create --compute-resource-id 1 --architecture x86_64 --domain example.com --operatingsystem-id 1 --partition-table-id 1 --location-id 2 --organization-id 1 --name fishy --root-password toortoor --kickstart-repository 'NONEXISTENT_REPO' --lifecycle-environment-id 1 --content-view-id 1
Could not create the host:
  Error: No such repository with name , in lifecycle environment  and content view 

Actual results:
Missing entered repo name

Expected results:
Error: No such repository with name NONEXISTENT_REPO, in lifecycle environment  and content view

Comment 1 Rahul Bajaj 2018-06-29 06:41:48 UTC
upstream fix is merged: https://github.com/Katello/hammer-cli-katello/pull/561

Comment 2 pm-sat@redhat.com 2018-11-16 14:09:16 UTC
Connecting redmine issue https://projects.theforeman.org/issues/23872 from this bug

Comment 3 Bryan Kearney 2018-11-16 14:10:29 UTC
rabajaj@redhat.com can you please check the upstream issue as to why it  is not moved to fixed?

Comment 4 pm-sat@redhat.com 2018-12-06 21:05:41 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/23872 has been resolved.

Comment 5 Brad Buckingham 2018-12-11 16:45:53 UTC
The fix for this is merged upstream and is in the latest 6.5 SNAP.

Comment 6 Lukáš Hellebrandt 2018-12-19 10:56:20 UTC
Verified with Sat 6.5 snap 7

# hammer host create --compute-resource-id 1 --architecture x86_64 --domain example.com --operatingsystem-id 1 --partition-table-id 1 --location-id 2 --organization-id 1 --name fishy --root-password toortoor --kickstart-repository 'NONEXISTENT_REPO' --lifecycle-environment-id 1 --content-view-id 1
Could not create the host:
  Error: No such repository with name NONEXISTENT_REPO, in lifecycle environment 1 and content view 1

Comment 9 errata-xmlrpc 2019-05-14 12:37:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.